{"id":22671,"date":"2019-11-01T10:22:20","date_gmt":"2019-11-01T10:22:20","guid":{"rendered":"https:\/\/developer.kore.ai\/v9-3\/?p=22671"},"modified":"2022-12-05T12:01:32","modified_gmt":"2022-12-05T12:01:32","slug":"delete-customer-data-api","status":"publish","type":"post","link":"https:\/\/developer.kore.ai\/v9-3\/docs\/bots\/api-guide\/delete-customer-data-api\/","title":{"rendered":"Delete Customer Data API"},"content":{"rendered":"<section class=\"l-section wpb_row height_auto\"><div class=\"l-section-h i-cf\"><div class=\"g-cols vc_row type_default valign_top\"><div class=\"vc_col-sm-12 wpb_column vc_column_container\"><div class=\"vc_column-inner\"><div class=\"wpb_wrapper\">\r\n\t<div class=\"wpb_text_column \">\r\n\t\t<div class=\"wpb_wrapper\">\r\n\t\t\t<p>Used to delete customer data.<\/p>\n<p class=\"note\">This API requires JWT generated by an application created only from the Bot Admin Console. <\/br><strong>Note:<\/strong> This feature was introduced in ver7.1 of the platform.<\/p>\n<div class=\"alert alert-info\">\n<p> <strong>Note:<\/strong> Delete User will not proceed if the requested user is:<\/p>\n<ul>\n<li>An account owner or belongs to one or more accounts.<\/li>\n<li>The bot owner or co-developer for one or more bots.<\/li>\n<\/ul>\n<\/div>\n<table>\n<tbody>\n<tr>\n<td><strong>Method<\/strong><\/td>\n<td>DELETE<\/td>\n<\/tr>\n<tr>\n<td><strong>Endpoint<\/strong><\/td>\n<td><code>https:\/\/{{host}}\/api\/public\/bot\/eraseUsersData<\/code><\/td>\n<\/tr>\n<tr>\n<td><strong>Content Type<\/strong><\/td>\n<td><code>application\/json<\/code><\/td>\n<\/tr>\n<tr>\n<td><strong>Authorization<\/strong><\/td>\n<td>\n<p><code>auth: {{JWT}}<\/code><\/p>\n<p>See <a href=\"https:\/\/developer.kore.ai\/v9-3\/docs\/bots\/api-guide\/apis\/#Generating_the_JWT_Token\" rel=\"noopener noreferrer\" target=\"_blank\">How to generate the JWT Token.<\/a><\/td>\n<\/tr>\n<tr>\n<td><strong>API Scope<\/strong><\/td>\n<td>\n<ul>\n<li>Bot Builder: Not Applicable<\/li>\n<li>Admin Console: Profile Management > Delete Users Data<\/li>\n<\/ul>\n<\/td>\n<\/tr>\n<\/tbody>\n<\/table>\n<p>&nbsp;<\/p>\n\r\n\t\t<\/div>\r\n\t<\/div>\r\n\r\n\t<div class=\"wpb_text_column \">\r\n\t\t<div class=\"wpb_wrapper\">\r\n\t\t\t<h2><span class=\"ez-toc-section\" id=\"Path_Parameters\">Path Parameters<\/span><\/h2>\n<table>\n<tbody>\n<tr>\n<th>Parameter<\/th>\n<th>Description<\/th>\n<\/tr>\n<tr>\n<td>host<\/td>\n<td>Environment URL, for example, https:\/\/bots.kore.ai<\/td>\n<\/tr>\n<\/tbody>\n<\/table>\n<p>&nbsp;<\/p>\n<h2><span class=\"ez-toc-section\" id=\"Sample_Request\">Sample Request<\/span><\/h2>\n<pre>curl -X DELETE\\\r\n  https:\/\/{{host}}\/api\/public\/bot\/<span style=\"font-weight: 400\">eraseUsersData<\/span>\\\r\n  -H 'Content-Type: application\/json' \\\r\n  -H 'auth: YOUR_JWT_ACCESS_TOKEN' \\\r\n  -d '{\r\n  \tuserIds: [\"u-xxxxxxxx-xxxx-xxx-xxxx-xxxxxxxxxxx\",\"u-xxxxxxxx-xxxx-xxx-xxxx-xxxxxxxxxxx\",\"u-xxxxxxxx-xxxx-xxx-xxxx-xxxxxxxxxxx\"],\r\n\tbotIds: [\"st-xxxxxxxx-xxxx-xxx-xxxx-xxxxxxxxxxxx\",\"st-xxxxxxxx-xxxx-xxx-xxxx-xxxxxxxxxxxx\",\"x-xxxxxxxx-xxxx-xxx-xxxx-xxxxxxxxxxxx\"]\r\n        RemoveDataFromAllBots: true   \/\/ optional\r\n       }'<\/pre>\n\r\n\t\t<\/div>\r\n\t<\/div>\r\n\r\n\t<div class=\"wpb_text_column \">\r\n\t\t<div class=\"wpb_wrapper\">\r\n\t\t\t<p>&nbsp;<\/p>\n<h2><span class=\"ez-toc-section\" id=\"Body_Parameters\">Body Parameters<\/span><\/h2>\n<table>\n<tbody>\n<tr>\n<th>Parameter<\/th>\n<th>Description<\/th>\n<\/tr>\n<tr>\n<td><span style=\"font-weight: 400\">userIds<\/span><\/td>\n<td>\n<p>The array of user Ids whose details have to be deleted, for example, [&#8220;userId1&#8221;, &#8220;userId2&#8221;]. Can be user email id or enterprise assigned unique id.\u00a0Post v7.3, you can use the channel user ids also. The following are acceptable values for this field:<\/p>\n<ul>\n<li>Kore generated &#8216;user id&#8217; ie. &#8217;email address&#8217; in case of enterprise users and &#8216;u-id&#8217; for the rest.<\/li>\n<li>Channel_user_id ie. the user identity that the channel has provided to the platform<\/li>\n<li>Both channel_id and channel_user_id\u00a0 where Channel_id refers to the unique identified for each of the supported channels<\/li>\n<li><\/li>\n<\/ul>\n<\/td>\n<\/tr>\n<tr>\n<td><span style=\"font-weight: 400\">botIds<\/span><\/td>\n<td>The array of bot Ids from where the user details have to be deleted, for example, [&#8220;botId1&#8221;, &#8220;botId2&#8221;]<\/td>\n<\/tr>\n<tr>\n<td>\n<p><span style=\"font-weight: 400\">RemoveDataFromAllBots<\/span><\/p>\n<p>(optional)<\/td>\n<td>Determines if the specified users details have to be removed from all the Bots. Set to true or false.<\/td>\n<\/tr>\n<\/tbody>\n<\/table>\n\r\n\t\t<\/div>\r\n\t<\/div>\r\n\r\n\t<div class=\"wpb_text_column \">\r\n\t\t<div class=\"wpb_wrapper\">\r\n\t\t\t<p>&nbsp;<\/p>\n<h2><span class=\"ez-toc-section\" id=\"Sample_Response\">Sample Response<\/span><\/h2>\n<pre>{\r\n  \"requestId\": \"eud-123\",\r\n  \"status\"\u201d: \"in-progress\"\r\n} \r\n<\/pre>\n\r\n\t\t<\/div>\r\n\t<\/div>\r\n<div class=\"w-separator size_small with_line width_default thick_1 style_solid color_border align_center\"><div class=\"w-separator-h\"><\/div><\/div><\/div><\/div><\/div><\/div><\/div><\/section>\n","protected":false},"excerpt":{"rendered":"Used to delete customer data. This API requires JWT generated by an application created only from the Bot Admin Console. Note: This feature was introduced in ver7.1 of the platform. Note: Delete User will not proceed if the requested user is: An account owner or belongs to one or more accounts. The bot owner or...","protected":false},"author":1,"featured_media":0,"comment_status":"open","ping_status":"open","sticky":false,"template":"","format":"standard","meta":{"footnotes":""},"categories":[17],"tags":[],"class_list":["post-22671","post","type-post","status-publish","format-standard","hentry","category-api-guide"],"_links":{"self":[{"href":"https:\/\/developer.kore.ai\/v9-3\/wp-json\/wp\/v2\/posts\/22671","targetHints":{"allow":["GET"]}}],"collection":[{"href":"https:\/\/developer.kore.ai\/v9-3\/wp-json\/wp\/v2\/posts"}],"about":[{"href":"https:\/\/developer.kore.ai\/v9-3\/wp-json\/wp\/v2\/types\/post"}],"author":[{"embeddable":true,"href":"https:\/\/developer.kore.ai\/v9-3\/wp-json\/wp\/v2\/users\/1"}],"replies":[{"embeddable":true,"href":"https:\/\/developer.kore.ai\/v9-3\/wp-json\/wp\/v2\/comments?post=22671"}],"version-history":[{"count":15,"href":"https:\/\/developer.kore.ai\/v9-3\/wp-json\/wp\/v2\/posts\/22671\/revisions"}],"predecessor-version":[{"id":49630,"href":"https:\/\/developer.kore.ai\/v9-3\/wp-json\/wp\/v2\/posts\/22671\/revisions\/49630"}],"wp:attachment":[{"href":"https:\/\/developer.kore.ai\/v9-3\/wp-json\/wp\/v2\/media?parent=22671"}],"wp:term":[{"taxonomy":"category","embeddable":true,"href":"https:\/\/developer.kore.ai\/v9-3\/wp-json\/wp\/v2\/categories?post=22671"},{"taxonomy":"post_tag","embeddable":true,"href":"https:\/\/developer.kore.ai\/v9-3\/wp-json\/wp\/v2\/tags?post=22671"}],"curies":[{"name":"wp","href":"https:\/\/api.w.org\/{rel}","templated":true}]}}